# Generated from gapic-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gapic

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Core namespace for Google generated API client tools
License: Apache-2.0
URL: https://github.com/googleapis/gapic-generator-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
# BuildRequires: rubygem(google-style) >= 1.24.0
# BuildRequires: rubygem(google-style) < 1.25
# BuildRequires: rubygem(minitest) >= 5.11
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-autotest) >= 1.0
# BuildRequires: rubygem(minitest-autotest) < 2
# BuildRequires: rubygem(minitest-focus) >= 1.1
# BuildRequires: rubygem(minitest-focus) < 2
# BuildRequires: rubygem(minitest-rg) >= 5.2
# BuildRequires: rubygem(minitest-rg) < 6
# BuildRequires: rubygem(redcarpet) >= 3.0
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
BuildArch: noarch

%description
Core namespace for Google generated API client tools.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/RELEASING.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md

%changelog
* Mon Aug 23 2021 mockbuilder - 0.0.1-1
- Initial package
